[ARM Testing Update] 2020-12-23 - Kernels, Systemd 247.2, Pamac 10.0.2, Mesa 20.3.1

Hello ARM community.

A new testing update is here


More people enjoy the Pinephone as their PC in their pocket!


Some Highlights

  • Most of the Kernels got updated to 5.10.x series.
  • Systemd is now at 247.2
  • More Mobile updates
  • We updated Pamac to 10.0.2
  • Mesa is now at 20.3.1
  • Regular upstream updates

Upstream Notifications:

Older notifications

The ghostpcl and ghostxps requires manual intervention (if you have these installed):
https://www.archlinux.org/news/ghostpcl9532-2-and-ghostxps9532-2-updates-require-manual-intervention/

The nss package requires manual intervention:
https://www.archlinux.org/news/nss3511-1-and-lib32-nss3511-1-updates-require-manual-intervention/

The packages hplip and firewalld requires manual intervention:
https://www.archlinux.org/news/hplip-3203-2-update-requires-manual-intervention/
https://www.archlinux.org/news/firewalld081-2-update-requires-manual-intervention/


Package Changes

(Tue Dec 22 07:38:52 CET 2020)

  • arm-testing community aarch64: 205 new and 195 removed package(s)
  • arm-testing core aarch64: 21 new and 21 removed package(s)
  • arm-testing extra aarch64: 54 new and 60 removed package(s)
  • arm-testing mobile aarch64: 168 new and 166 removed package(s)
:: Different overlay package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2020-12-18           2020-12-23
-------------------------------------------------------------------------------
                 anbox-image-aarch64         0_20200520-5         0_20200520-6
                            electron             11.1.0-1             11.1.1-1
                     element-desktop             1.7.15-1             1.7.16-1
                         element-web             1.7.15-1             1.7.16-1
                              greetd              0.6.1-1              0.7.0-1
                     greetd-gtkgreet                0.6-1                0.7-1
                       libmm-pp-glib             1.14.8-1             1.14.8-3
                     modemmanager-pp             1.14.8-1             1.14.8-3
                                phoc  0.5.1+17+ge57cd0a-1  0.5.1+19+g3d10fba-1
                         presage-git                957-3 0.9.1.r50.gaa52c37-2
                           wdisplays              1.0-1.2                1.0-2


:: Different sync package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2020-12-18           2020-12-23
-------------------------------------------------------------------------------
                              acpica           20201113-1           20201217-1
                             allegro            5.2.6.0-2            5.2.6.0-3
                              amfora              1.6.0-1              1.7.0-1
                             ansible             2.10.4-1             2.10.4-2
                                 arb             2.19.0-1             2.19.0-2
                              awxkit             15.0.1-3             16.0.0-1
                           bctoolbox             4.4.17-1             4.4.19-1
                             blender          17:2.91.0-6          17:2.91.0-8
                                 bpf               5.10-1               5.10-2
                              bpytop             1.0.50-2             1.0.51-1
                               bzrtp             4.4.17-1             4.4.19-1
                             cargo-c             0.6.18-1              0.7.0-1
                                ccls         0.20201025-1         0.20201219-1
               cgroup_event_listener               5.10-1               5.10-2
                               chafa              1.4.0-2              1.4.1-1
                             chezmoi              1.8.9-1             1.8.10-1
                             clojure            1.10.1-14         1.10.1.763-1
                              conmon           1:2.0.21-1           1:2.0.22-1
                   containers-common             0.31.0-3             0.31.1-1
                            cpupower               5.10-1               5.10-2
                          diffoscope                161-3                163-1
                              distcc              3.3.3-7              3.3.3-8
                             drumkv1             0.9.18-1             0.9.19-1
                             e-antic              0.1.8-1              0.1.8-2
                               eclib          20190909-12          20190909-13
                              elinks              0.13-22             0.13.5-1
                          erlang-nox             23.1.4-1               23.2-1
                              eslint             7.15.0-1             7.16.0-1
            firefox-extension-passff             1.10.4-1             1.10.5-1
              firefox-tree-style-tab              3.6.3-2              3.6.4-1
                   firefox-tridactyl             1.20.3-2             1.20.4-1
                               flint              2.6.3-1              2.7.0-1
                               fwupd              1.5.3-1              1.5.4-1
                                 gap             4.11.0-8             4.11.0-9
                             gap-doc             4.11.0-8             4.11.0-9
                        gap-packages             4.11.0-8             4.11.0-9
                               gopls              0.6.0-1              0.6.1-1
                          gpio-utils               5.10-1               5.10-2
                         grammalecte             1.12.2-2              2.0.0-1
                            guitarix             0.41.0-3             0.42.0-1
                            helmfile            0.132.0-1            0.135.0-1
                           highlight               3.59-1               3.60-1
                       highlight-gui               3.59-1               3.60-1
                      home-assistant          2020.12.0-1          2020.12.1-1
                         hunspell-fr              6.4.1-2                7.0-1
                              hyperv               5.10-1               5.10-2
                        ibus-chewing              1.6.1-4              1.6.1-5
                           iio-utils               5.10-1               5.10-2
                                 imv              4.1.0-2              4.2.0-1
                             in-toto              0.5.0-2              1.0.0-1
                         jami-daemon           20201023-1           20201216-1
                          jami-gnome           20201019-1           20201217-1
                                jrnl                2.5-1                2.6-1
                    jupyter-nbformat              5.0.6-3              5.0.8-1
                    jupyter-notebook              6.1.4-3              6.1.5-1
                               kitty             0.19.2-2             0.19.3-1
                      kitty-terminfo             0.19.2-2             0.19.3-1
                                knot              3.0.2-1              3.0.3-1
                       kodi-platform  20190726.809c5e9-18  20190726.809c5e9-20
               kvantum-theme-materia           20201113-2           20201214-1
                             lcdproc              0.5.9-5              0.5.9-6
                           leiningen              2.9.4-2              2.9.5-1
                  level-zero-headers             1.0.16-1             1.0.22-1
                   level-zero-loader             1.0.16-1             1.0.22-1
                             libavif              0.8.2-1              0.8.3-1
                           libfabric             1.11.1-1             1.11.2-1
                             libftdi                1.4-6                1.5-1
                             libilbc              2.0.2-5              3.0.3-1
                       libjamiclient           20201021-1           20201217-1
                          libopenraw              0.2.3-2              0.3.0-1
                            libressl              3.2.2-1              3.2.3-1
                       libtraceevent               5.10-1               5.10-2
                         libutf8proc              2.6.0-1              2.6.1-1
                        light-locker              1.9.0-3              1.9.0-4
                    linux-tools-meta               5.10-1               5.10-2
                            lollypop              1.4.5-2              1.4.7-1
                         lsp-plugins             1.1.26-1             1.1.28-1
                                mat2             0.11.0-2             0.12.0-1
                         materia-kde           20201113-2           20201214-1
                           mediaelch              2.6.6-2              2.8.0-1
                       mediastreamer             4.4.17-1             4.4.19-1
                            minikube             1.15.1-1             1.16.0-1
                           mitmproxy              6.0.0-1              6.0.2-1
                             mtpaint            3.49.33-1            3.49.34-1
                             ncmpcpp             0.8.2-14                0.9-1
                            newsboat               2.21-1               2.21-2
                nextcloud-app-spreed           1:10.0.3-1           1:10.1.0-1
                               nlopt              2.6.2-2              2.7.0-1
                  nodejs-lts-fermium            14.15.1-1            14.15.3-1
                            normaliz              3.8.9-1              3.8.9-2
                                 npm             6.14.8-2             6.14.9-1
                            openblas             0.3.13-1           0.3.13-2.1
                             opendht            1:2.1.6-3          1:2.1.9.5-1
             opensmtpd-filter-rspamd              0.1.6-2              0.1.7-1
                             openvdb              7.1.0-5              7.2.0-1
                                ortp             4.4.17-1             4.4.19-1
                     owncloud-client         2.7.3.2877-1         2.7.4.2934-1
                             padthv1             0.9.18-1             0.9.19-1
                                 pax           20200904-1           20201030-1
                               pdfpc              4.4.1-1              4.5.0-1
                               pdftk              3.2.1-1              3.2.2-1
                                perf               5.10-1               5.10-2
                perl-app-borgrestore              3.4.3-1              3.4.4-1
                       perl-cpanplus             0.9908-2             0.9910-1
         perl-statistics-descriptive             3.0702-3             3.0800-1
                             plocate              1.1.2-1              1.1.3-1
                            polymake                4.3-1                4.3-2
                              popeye              0.7.1-2              0.9.0-1
                                pqiv               2.11-5               2.12-1
                        prusa-slicer              2.2.0-9             2.2.0-10
                             psensor              1.2.0-7              1.2.1-1
                             pugixml               1.10-2             1.11.3-1
                               pynac             0.7.26-7             0.7.26-9
                     python-autobahn            20.12.2-1            20.12.3-1
           python-aws-sam-translator             1.32.0-1             1.33.0-1
                     python-cfn-lint             0.43.0-1             0.44.1-1
                    python-configobj              5.0.6-9             5.0.6-10
                     python-coverage                5.3-3              5.3.1-1
                       python-enrich              1.2.3-1              1.2.6-1
                      python-fastapi             0.62.0-1             0.63.0-1
                        python-fints              3.0.0-2              3.0.1-1
               python-flask-httpauth              3.3.0-4              4.2.0-1
                         python-flit              3.0.0-2              3.0.0-3
                    python-flit-core              3.0.0-2              3.0.0-3
                        python-gdspy              1.6.1-2              1.6.2-1
              python-google-api-core             1.24.0-1             1.24.1-1
                  python-marshmallow              3.9.1-3             3.10.0-1
                      python-pikepdf              2.2.0-2              2.2.1-1
                   python-pre-commit              2.6.0-2              2.7.0-1
                         python-pudb             2019.2-2             2020.1-1
                     python-pyfakefs              4.3.2-1              4.3.3-1
                       python-pyglet              1.5.8-2             1.5.13-1
                        python-pyvcd              0.2.3-2              0.2.4-1
                        python-pyzmq             19.0.1-4             20.0.0-1
                         python-rich              9.4.0-1              9.5.1-1
                        python-rtree              0.9.4-2              0.9.5-1
             python-securesystemslib             0.16.0-3             0.18.0-1
                       python-sphinx              3.3.1-3              3.4.0-1
               python-subprocess-tee              0.1.6-1              0.2.0-1
                     python-toposort                1.5-5                1.6-1
                        python-txaio             20.4.1-3            20.12.1-1
                    python-unidecode              1.1.1-6              1.1.2-1
                     python-xtarfile              0.0.4-2              0.1.0-1
                    python2-coverage                5.3-3              5.3.1-1
                       python2-pyzmq             19.0.1-4                    -
                                qcad           3.25.2.4-3           3.25.2.7-1
                                qmmp              1.4.2-1              1.4.3-1
                         qtermwidget             0.16.1-1             0.16.1-2
                            qtractor             0.9.18-1             0.9.19-1
                             qxgedit              0.6.3-1              0.9.0-1
              rapid-photo-downloader             0.9.24-2             0.9.25-1
                     raw-thumbnailer              0.2.1-6              0.2.1-7
                             redkite              1.2.0-1              1.3.0-1
                               rgbds              0.4.2-1              0.4.2-2
                        ruby-bundler              2.2.1-1              2.2.2-1
                            ruby-ffi             1.13.1-1             1.14.1-1
                       rust-analyzer           20201214-1           20201221-1
                        rust-bindgen             0.55.1-1             0.56.0-1
                              rustup             1.23.0-1             1.23.1-1
                               s3cmd              2.1.0-3              2.1.0-4
                             samplv1             0.9.18-1             0.9.19-1
                               shfmt              3.2.0-1              3.2.1-1
                            singular           4.1.3.p2-5           4.2.0.p0-4
                          strawberry              0.8.4-1              0.8.5-1
                          swi-prolog              8.2.2-1              8.2.3-1
                             synthv1             0.9.18-1             0.9.19-1
                               tanka             0.12.0-2             0.13.0-1
                                tmon               5.10-1               5.10-2
                      ttf-liberation              2.1.1-1              2.1.2-1
                   ttf-sarasa-gothic             0.16.0-1             0.16.2-1
                            urlwatch               2.21-6               2.22-1
                               usbip               5.10-1               5.10-2
                             uvicorn             0.13.1-1             0.13.2-1
         v2ray-domain-list-community     20201212165609-1     20201220111409-1
                       vc-intrinsics        r57+eabcd20-1        r73+5032643-1
                             weechat                2.9-3                3.0-2
           wingpanel-indicator-sound              2.1.7-1              2.1.7-2
                       wireshark-cli              3.4.1-1              3.4.2-1
                        wireshark-qt              3.4.1-1              3.4.2-1
                           xournalpp             1.0.19-1             1.0.20-1
                               yices              2.6.2-1              2.6.2-2
                          youtube-dl         2020.12.14-1         2020.12.22-1
                             zaproxy              2.9.0-1             2.10.0-1
                   zathura-pdf-mupdf              0.3.6-2              0.3.6-4
                                cudd                    -              3.0.0-1
                               expac                    -                 10-2
                               icewm                    -              2.0.0-2
                             libpoly                    -              0.1.8-1
                              libyuv                    -     r2212+dfaf7534-1
                                nawk                    -           20180827-2
                    perl-carp-assert                    -               0.21-3
                    python-proxmoxer                    -              1.1.1-3
                            skaffold                    -             1.17.2-1
                                time                    -                1.9-3
                             web-ext                    -              5.4.1-1


:: Different overlay package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2020-12-18           2020-12-23
-------------------------------------------------------------------------------
                           boot-vim2            2020.05-1            2020.09-1
                           boot-vim3            2020.05-1            2020.09-1
                               linux             5.10.1-1             5.10.2-1
                       linux-headers             5.10.1-1             5.10.2-1
                     linux-pinephone             5.10.1-1             5.10.2-1
             linux-pinephone-headers             5.10.1-1             5.10.2-1
                 linux-rpi4-mainline             5.10.0-1             5.10.1-1
         linux-rpi4-mainline-headers             5.10.0-1             5.10.1-1
                           linux-vim              5.9.8-2             5.10.1-1
                   linux-vim-headers              5.9.8-2             5.10.1-1
              raspberrypi-bootloader           20201214-1           20201222-1
            raspberrypi-bootloader-x           20201214-1           20201222-1


:: Different sync package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2020-12-18           2020-12-23
-------------------------------------------------------------------------------
                           amd-ucode   20201120.bc9cd0b-1   20201218.646f159-1
                               glib2           2.66.3-1.1             2.66.4-1
                          glib2-docs           2.66.3-1.1             2.66.4-1
                      linux-firmware   20201120.bc9cd0b-1   20201218.646f159-1
                                sudo              1.9.4-2           1.9.4.p2-2
                             systemd              247.1-4              247.2-1
                        systemd-libs              247.1-4              247.2-1
                  systemd-resolvconf              247.1-4              247.2-1
                  systemd-sysvcompat              247.1-4              247.2-1


:: Different overlay package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2020-12-18           2020-12-23
-------------------------------------------------------------------------------
  mesa-git 21.0.0_devel.132345.ba74e1be22f-1 21.0.0_devel.132478.f9ceab7b237-1
                           pamac-cli             9.5.12-1             10.0.2-1
                        pamac-common             9.5.12-1             10.0.2-1
                pamac-flatpak-plugin             9.5.12-1             10.0.2-1
             pamac-gnome-integration             9.5.12-1             10.0.2-1
                           pamac-gtk             9.5.12-1             10.0.2-1
                   pamac-snap-plugin             9.5.12-1             10.0.2-1
             pamac-tray-appindicator             9.5.12-1                    -


:: Different sync package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2020-12-18           2020-12-23
-------------------------------------------------------------------------------
                              bcprov               1.66-1               1.67-1
                                bind             9.16.9-1            9.16.10-1
                              breezy            3.1.0.6-3            3.1.0.8-1
                            cbindgen             0.15.0-1             0.16.0-1
                           djvulibre             3.5.27-6             3.5.28-1
                              dracut                050-1                051-1
                               expac                 10-2                    -
                             freetds             1.2.17-1             1.2.18-1
                 gnome-shell 1:3.38.2+11+gd5fb557b3-1 1:3.38.2+17+gf63812b0d-1
                                gtk2            2.24.32-2            2.24.33-1
                               icewm              2.0.0-1                    -
                         imagemagick          7.0.10.50-1          7.0.10.52-1
                     imagemagick-doc          7.0.10.50-1          7.0.10.52-1
                              imlib2              1.7.0-1              1.7.1-1
                               ipset                7.9-1               7.10-1
                           knewstuff             5.77.0-1             5.77.0-2
                            liblouis             3.15.0-3             3.16.0-1
                          libmagick6          6.9.11.48-1          6.9.11.52-1
                   libva-mesa-driver             20.3.0-3             20.3.1-1
                            libwacom                1.6-1                1.7-1
                            lighttpd             1.4.56-1             1.4.57-1
                                 lyx            2.3.5.2-2              2.3.6-1
                                mesa             20.3.0-3             20.3.1-1
                          mesa-vdpau             20.3.0-3             20.3.1-1
                                nawk           20180827-2                    -
                               ndctl               70.1-1                 71-1
                      ocaml-integers              0.4.0-2              0.4.0-3
                         opencl-mesa             20.3.0-3             20.3.1-1
                                ossp  1.3.2+11+g9e94d67-2  1.3.2+11+g9e94d67-3
                         oxygen-gtk2              1.4.6-4                    -
             perl-lwp-protocol-https               6.09-1               6.10-1
                     python-dbusmock               0.19-2             0.20.0-1
                       python-pycurl           7.43.0.6-3           7.43.0.6-4
                      python2-pycurl           7.43.0.6-3         1:7.43.0.3-1
                           qtcreator             4.14.0-1             4.14.0-3
                                sbcl             2.0.10-1             2.0.11-1
                                sddm             0.19.0-2             0.19.0-3
                             texmacs            1.99.15-1            1.99.17-1
                                time                1.9-3                    -
                             tumbler              0.2.9-2              0.2.9-3
                         vulkan-mesa             20.3.0-3                    -
                  vulkan-mesa-layers             20.3.0-3             20.3.1-1
                       vulkan-radeon             20.3.0-3             20.3.1-1
                      wireguard-dkms       1.0.20201112-1       1.0.20201221-1
               xfce4-diskperf-plugin              2.6.2-2              2.6.3-1
                  xfce4-mount-plugin              1.1.3-2              1.1.4-1
             xfce4-systemload-plugin              1.2.3-2              1.2.4-1
                        zabbix-agent              5.2.1-1              5.2.2-1
                       zabbix-agent2              5.2.1-1              5.2.2-1
                 zabbix-frontend-php              5.2.1-1              5.2.2-1
                        zabbix-proxy              5.2.1-1              5.2.2-1
                       zabbix-server              5.2.1-1              5.2.2-1
                       vulkan-swrast                    -             20.3.1-1


:: Different overlay package(s) in repository mobile aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2020-12-18           2020-12-23
-------------------------------------------------------------------------------
                              attica           5.76.0-1.3           5.76.0-1.4
                               baloo           5.76.0-1.3           5.76.0-1.4
                           bluedevil           5.20.4-1.1           5.20.4-1.2
                            bluez-qt           5.76.0-1.3           5.76.0-1.4
                              breeze           5.20.4-1.2           5.20.4-1.3
                         breeze-grub           5.20.4-1.1           5.20.4-1.2
                          breeze-gtk           5.20.4-1.1           5.20.4-1.2
                        breeze-icons           5.76.0-1.3           5.76.0-1.4
                                buho            1.2.0-1.2            1.2.0-1.3
                            discover           5.20.4-1.1           5.20.4-1.2
                             drkonqi           5.20.4-1.1           5.20.4-1.2
                 extra-cmake-modules           5.76.0-1.3           5.76.0-1.4
                frameworkintegration           5.76.0-1.3           5.76.0-1.4
                               index            1.2.0-1.3            1.2.0-1.4
               kaccounts-integration          20.08.3-1.3          20.08.3-1.4
                 kaccounts-providers          20.08.3-1.3          20.08.3-1.4
                         kactivities           5.76.0-1.3           5.76.0-1.4
                   kactivities-stats           5.76.0-1.3           5.76.0-1.4
                   kactivitymanagerd           5.20.4-1.1           5.20.4-1.2
                                kalk              0.1-1.2              0.1-1.3
                             kapidox           5.76.0-1.3           5.76.0-1.4
                            karchive           5.76.0-1.3           5.76.0-1.4
                               kauth           5.76.0-1.3           5.76.0-1.4
                          kbookmarks           5.76.0-1.3           5.76.0-1.4
                       kcalendarcore           5.76.0-1.3           5.76.0-1.4
                              kclock            0.2.1-1.2            0.2.1-1.3
                            kcmutils           5.76.0-1.3           5.76.0-1.4
                             kcodecs           5.76.0-1.3           5.76.0-1.4
                         kcompletion           5.76.0-1.3           5.76.0-1.4
                             kconfig           5.76.0-1.3           5.76.0-1.4
                      kconfigwidgets           5.76.0-1.3           5.76.0-1.4
                           kcontacts           5.76.0-1.3           5.76.0-1.4
                         kcoreaddons           5.76.0-1.3           5.76.0-1.4
                              kcrash           5.76.0-1.3           5.76.0-1.4
                         kdbusaddons           5.76.0-1.3           5.76.0-1.4
                       kde-cli-tools           5.20.4-1.1           5.20.4-1.2
                      kde-gtk-config           5.20.4-1.1           5.20.4-1.2
                        kdeclarative           5.76.0-1.3           5.76.0-1.4
                         kdecoration           5.20.4-1.1           5.20.4-1.2
                                kded           5.76.0-1.3           5.76.0-1.4
                     kdelibs4support           5.76.0-1.3           5.76.0-1.4
                    kdeplasma-addons           5.20.4-1.1           5.20.4-1.2
                     kdesignerplugin           5.76.0-1.3           5.76.0-1.4
                               kdesu           5.76.0-1.3           5.76.0-1.4
                           kdewebkit           5.76.0-1.3           5.76.0-1.4
                              kdnssd           5.76.0-1.3           5.76.0-1.4
                           kdoctools           5.76.0-1.3           5.76.0-1.4
                          kemoticons           5.76.0-1.3           5.76.0-1.4
                            keysmith              0.2-1.2              0.2-1.3
                       kfilemetadata           5.76.0-1.3           5.76.0-1.4
                             kgamma5           5.20.4-1.1           5.20.4-1.2
                        kglobalaccel           5.76.0-1.3           5.76.0-1.4
                          kguiaddons           5.76.0-1.3           5.76.0-1.4
                           kholidays         1:5.76.0-1.3         1:5.76.0-1.4
                            khotkeys           5.20.4-1.1           5.20.4-1.2
                               khtml           5.76.0-1.3           5.76.0-1.4
                               ki18n           5.76.0-1.3           5.76.0-1.4
                         kiconthemes           5.76.0-1.3           5.76.0-1.4
                           kidletime           5.76.0-1.3           5.76.0-1.4
                       kimageformats           5.76.0-1.3           5.76.0-1.4
                         kinfocenter           5.20.4-1.1           5.20.4-1.2
                               kinit           5.76.0-1.3           5.76.0-1.4
                                 kio           5.76.0-1.3           5.76.0-1.4
                          kio-extras          20.08.3-1.3          20.08.3-1.4
                     kirigami-addons           5.76.0-1.3           5.76.0-1.4
                           kirigami2           5.76.0-1.3           5.76.0-1.4
                         kitemmodels           5.76.0-1.3           5.76.0-1.4
                          kitemviews           5.76.0-1.3           5.76.0-1.4
                         kjobwidgets           5.76.0-1.3           5.76.0-1.4
                                 kjs           5.76.0-1.3           5.76.0-1.4
                            kjsembed           5.76.0-1.3           5.76.0-1.4
                        kmediaplayer           5.76.0-1.3           5.76.0-1.4
                           kmenuedit           5.20.4-1.1           5.20.4-1.2
                          knetattach           5.20.4-1.1           5.20.4-1.2
                           knewstuff           5.76.0-1.3           5.76.0-1.4
                      knotifications           5.76.0-1.3           5.76.0-1.4
                       knotifyconfig           5.76.0-1.3           5.76.0-1.4
                            kongress     r102.8d42bec-1.1     r102.8d42bec-1.2
                            kpackage           5.76.0-1.3           5.76.0-1.4
                              kparts           5.76.0-1.3           5.76.0-1.4
                             kpeople           5.76.0-1.3           5.76.0-1.4
                         kpeoplesink      r60.cc9ed64-1.2      r60.cc9ed64-1.3
                        kpeoplevcard              0.1-1.2              0.1-1.3
                           kplotting           5.76.0-1.3           5.76.0-1.4
                                kpty           5.76.0-1.3           5.76.0-1.4
                    kpublictransport         20.11.80-1.1         20.11.80-1.2
                        kquickcharts           5.76.0-1.3           5.76.0-1.4
             kquicksyntaxhighlighter      r1.g69d2f40-1.1      r1.g69d2f40-1.2
                           krecorder      r66.f72b615-1.2      r66.f72b615-1.3
                               kross           5.76.0-1.3           5.76.0-1.4
                             krunner           5.76.0-1.3           5.76.0-1.4
                             kscreen           5.20.4-1.1           5.20.4-1.2
                       kscreenlocker           5.20.4-1.1           5.20.4-1.2
                            kservice           5.76.0-1.3           5.76.0-1.4
                         ksshaskpass           5.20.4-1.1           5.20.4-1.2
                           ksysguard           5.20.4-1.1           5.20.4-1.2
                         ktexteditor           5.76.0-1.3           5.76.0-1.4
                        ktextwidgets           5.76.0-1.3           5.76.0-1.4
                ktp-common-internals          20.08.3-1.1          20.08.3-1.2
                               ktrip           0.99.5-1.1           0.99.5-1.2
                     kunitconversion           5.76.0-1.3           5.76.0-1.4
                       kuserfeedback            1.0.0-1.2            1.0.0-1.4
                             kwallet           5.76.0-1.3           5.76.0-1.4
                         kwallet-pam           5.20.4-1.1           5.20.4-1.2
                            kwayland           5.76.0-1.3           5.76.0-1.4
                kwayland-integration           5.20.4-1.1           5.20.4-1.2
                     kwayland-server           5.20.4-1.1           5.20.4-1.2
                            kweather              0.3-1.2              0.3-1.3
                      kwidgetsaddons           5.76.0-1.3           5.76.0-1.4
                                kwin           5.20.4-1.3           5.20.4-1.4
                       kwindowsystem           5.76.0-1.3           5.76.0-1.4
                             kwrited           5.20.4-1.1           5.20.4-1.2
                             kxmlgui           5.76.0-1.3           5.76.0-1.4
                       kxmlrpcclient           5.76.0-1.3           5.76.0-1.4
                            libkgapi          20.08.3-1.3          20.08.3-1.4
                          libkscreen           5.20.4-1.1           5.20.4-1.2
                        libksysguard           5.20.4-1.1           5.20.4-1.2
                         libquotient            1:0.7-1.2            1:0.7-1.3
                    maliit-framework           0.99.2-2.1           0.99.2-2.2
                     maliit-keyboard  r2050.g432db0ea-2.2  r2050.g432db0ea-2.3
                               milou           5.20.4-1.1           5.20.4-1.2
                     modemmanager-qt           5.76.0-1.3           5.76.0-1.4
                             neochat   r1219.g87833a8-1.3   r1219.g87833a8-1.4
                   networkmanager-qt           5.76.0-1.3           5.76.0-1.4
                                nota            1.2.0-2.3            1.2.0-2.4
                              oxygen           5.20.4-1.1           5.20.4-1.2
                        oxygen-icons           5.76.0-1.2           5.76.0-1.4
                    oxygen-icons-svg         1:5.76.0-1.2         1:5.76.0-1.4
                    plasma-bigscreen    r340.g749c303-1.1    r340.gbc979f5-1.2
          plasma-browser-integration           5.20.4-1.1           5.20.4-1.2
                       plasma-camera              1.0-1.2              1.0-1.3
                      plasma-desktop           5.20.4-1.1           5.20.4-1.2
                       plasma-dialer              0.1-1.2              0.1-1.3
                    plasma-framework           5.76.0-1.3           5.76.0-1.4
                  plasma-integration           5.20.4-1.1           5.20.4-1.2
                         plasma-nano           5.20.4-1.1           5.20.4-1.2
                           plasma-nm           5.20.4-1.2           5.20.4-1.3
                           plasma-pa           5.20.4-1.1           5.20.4-1.2
             plasma-phone-components           5.20.4-1.1           5.20.4-1.2
                    plasma-phonebook     r177.3c7c319-1.3     r177.3c7c319-1.4
                          plasma-pix            1.2.0-1.3            1.2.0-1.4
                          plasma-sdk           5.20.4-1.1           5.20.4-1.2
                        plasma-vault           5.20.4-1.1           5.20.4-1.2
            plasma-wayland-protocols            1.1.1-1.3            1.1.1-1.4
              plasma-wayland-session           5.20.4-1.1           5.20.4-1.2
                    plasma-workspace           5.20.4-1.1           5.20.4-1.2
         plasma-workspace-wallpapers           5.20.4-1.1           5.20.4-1.2
                    polkit-kde-agent           5.20.4-1.1           5.20.4-1.2
                          powerdevil           5.20.4-1.3           5.20.4-1.4
                             presage            0.9.1-1.2            0.9.1-1.3
                              prison           5.76.0-1.3           5.76.0-1.4
                             purpose           5.76.0-1.3           5.76.0-1.4
                          qmlkonsole      r61.7015b17-1.2      r61.7015b17-1.3
                   qqc2-breeze-style       r54.g1eb75cf-1     r54.g8f774e0-1.2
                  qqc2-desktop-style           5.76.0-1.2           5.76.0-1.4
                            sddm-kcm           5.20.4-1.1           5.20.4-1.2
            signon-kwallet-extension          20.08.3-1.2          20.08.3-1.3
                               solid           5.76.0-1.3           5.76.0-1.4
                              sonnet           5.76.0-1.3           5.76.0-1.4
                            spacebar     r333.9c2eaee-1.2     r333.9c2eaee-1.3
                         syndication           5.76.0-1.3           5.76.0-1.4
                 syntax-highlighting           5.76.0-1.3           5.76.0-1.4
                      systemsettings           5.20.4-1.1           5.20.4-1.2
                        threadweaver           5.76.0-1.3           5.76.0-1.4
                               vvave            1.2.0-1.2            1.2.0-1.3
              xdg-desktop-portal-kde           5.20.4-1.1           5.20.4-1.2
                   kquickimageeditor                    -     r31.gd9ca0c2-1.2
                        plasma-disks                    -           5.20.4-1.3

Testers needed on arm-testing branch

We are in need of testers for our arm-testing and arm-unstable branches.
So if you are adventurous and want newer software quicker, we would love for you to help us test out the new packages in arm-testing branch.

All you have to do to switch to this branch is:

  • Run this command to switch branch: sudo pacman-mirrors -aS testing && sudo pacman -Syyu. This will generate a new mirrorlist for you, sync your databases with the new mirror and update your system using the arm-testing branch.

We would then love for you to give feedback in our update posts in #arm:testing-updates. That way we can better find and fix bugs, before they hit arm-stable branch. Thank you!


  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Known Issues and Solutions

This is a wiki post, please edit it when you find a solution to an issue you encountered

Kwin crashes on startup on Pinebook Pro
This seems to be related to Mesa 20.3 and the Pinebook Pro support in kernel 5.10, as this does not seem to happen on other devices.
It does not impact 3d performance as far as I can tell. Just the OpenGL compositing in Kwin.
Workaround:
Downgrade mesa to 20.2.6 with sudo pacman -Syuu.

Old Issues

My VPN no longer connects
OpenVPN 2.5.0 changed how VPN routes work.
Workaround is to downgrade to previous version (2.4.9):

sudo pacman -U /var/cache/pacman/pkg/openvpn-2.4.9*

DP Alt Mode no longer works on Pinebook Pro
This is a known issue, the hacky patch we had to enable this has broken in recent kernels.
@tsys and Ayufan are looking into it.
As a workaround you can install linux-pinebookpro again.
FIXED with linux-5.9.12-4 and linux-rc-5.10-rc7-2 and above.

brcm-patchram-plus and pi-blueooth are in conflict
See this post for workaround:
[ARM Testing Update] 2020-11-16 - Bitwarden, Mesa-Git, Pacman and kernels

Plasma Mobile Keyboard
The plasma mobile onscreen keyboard does not work with QT 5.15.0.
This is fixed by updating to kwin 5.19.3-1.1.

PinePhone uboot
This update to the PinePhone Uboot package (2020.04-2), changed how the DTS is loaded from the kernel, since the Kernel DTS for the Pinephone also changed. When doing this update on the PinePhone images from Alpha5 and back, please make this change to the /boot/extlinux/extlinux.conf before rebooting:

  • sun50i-a64-pinephone.dtb to sun50i-a64-pinephone-1.2.dtb
  • root=LABEL=ROOT to root=LABEL=ROOT_MNJRO

Manual interventions:
The nss and zn_poly packages prior to version 3.51.1-1 and version 0.9.2-2 respectively, were missing a soname link each. This has been fixed in 3.51.1-1 and 0.9.2-2 of these packages, so the upgrade will need to overwrite the untracked files created by ldconfig. If you get any of these errors

nss: /usr/lib/p11-kit-trust.so exists in filesystem
zn_poly: /usr/lib/libzn_poly-0.9.so  exists in filesystem

when updating, use

pacman -Syu --overwrite /usr/lib/p11-kit-trust.so --overwrite /usr/lib/libzn_poly-0.9.so

to perform the upgrade.

Device stopped booting after Uboot update
The uboot update included a change to the extlinux.conf file. This change will be incompatible with the old 1 partition layout of some devices.
So if you are updating installs made with images 20.02.1 or older, you need to apply this fix before rebooting!
To fix this please edit your /boot/extlinux/extlinux.conf file and add 2 periods in front of each first slash, like so:

KERNEL ../Image
FDT ../dtbs/ #etc.
APPEND initrd=../initramfs-linux.img #etc.

Save the file and reboot.

Thanks for update. Everything works fine with

Raspberry Pi 4 Model B Rev 1.1  
Linux 5.10.1-1-MANJARO-ARM  
Plasma 5.20.4 

Merry x-mas to Manjaro-Arm-Team

1 Like

Thanks. Merry Christmas to you also and β€œHappy Holidays” to everyone else here.

Note to pi3b users:

With this current update the pi3 Model B will boot with the latest 2 raspberrypi-bootloader files and also linux-rpi4-mainline 5.10.1-1 has been fixed and working:

linux-rpi4-mainline 5.10.1-1
linux-rpi4-mainline-headers 5.10.1-1
raspberrypi-bootloader 20201222-1
raspberrypi-bootloader-x 20201222-1

1 Like

Hi,

odroid c4 up to date

Enjoy !

[nlc4@c4 ~]$ date -u
mer. 23 dΓ©c. 2020 16:28:58 UTC
[nlc4@c4 ~]$ screenfetch
                             nlc4@c4.test.2020.05.14
                             OS: Manjaro-ARM 20.12
                             Kernel: aarch64 Linux 5.10.2-1-MANJARO-ARM
         #####               Uptime: 2m
        #######              Packages: Unknown
        ##O#O##              Shell: bash 5.1.0
        #######              Resolution: 1920x1080
      ###########            DE: KDE 5.77.0 / Plasma 5.20.4
     #############           WM: KWin
    ###############          GTK Theme: Breeze [GTK2/3]
    ################         Icon Theme: oxygen
   #################         Disk:
 #####################       CPU: Unknown @ 4x 1.908GHz
 #####################       GPU: 
   #################         RAM: 646MiB / 3628MiB
                            
                            
                            
[nlc4@c4 ~]$ uname -a
Linux c4.test.2020.05.14 5.10.2-1-MANJARO-ARM #1 SMP Mon Dec 21 12:54:49 UTC 2020 aarch64 GNU/Linux

Made an update of my table of Manjaro kernels. See here.
The idea is, that single threats with news are very good to stay in touch, but on the other hand a fixed place where users can get information (like in your upcoming ARM-Wiki) is although necessary.
And it is less work to hold information up to date at one place, than do a lot of conversation in the forum, because people do not read every thread to stay informed.
Best regards and Merry Christmas.

Update applied without any problems to PBP.
Problem with charging from USB-C still present with this kernel (5.10.2-1).
I have also noticed a problem with Bluetooth not being available after a warm restart. A full shutdown and reboot appears to fix the problem. I will post more details when I get a chance to investigate further.
Please don’t think I am grumbling! Huge thanks to everyone that makes Manjaro-ARM a reality - I hope you all have a very merry Christmas and best wishes for 2021.

Pamac (10.0.2-1) is reporting a warning if I try to install anything (the installation goes through successfully though).

[pi@raspberryPi ~]$ pamac install neofetch
Preparing...
cp: cannot stat '/var/lib/pacman/sync/*.files': No such file or directory
Nothing to do.
Transaction successfully finished.

New kernel for RPI seems to be working just fine for RPI3B+

[pi@raspberryPi ~]$ neofetch
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   pi@raspberryPi 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   -------------- 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   OS: Manjaro ARM Linux aarch64 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Host: Raspberry Pi 3 Model B Plus Rev 1.3 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ            β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Kernel: 5.10.1-1-MANJARO-ARM 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Uptime: 4 mins 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Packages: 751 (pacman) 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Shell: bash 5.1.0 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Resolution: 1440x900 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   DE: Xfce 4.14 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   WM: Xfwm4 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   WM Theme: Default 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Theme: Matcha-dark-aliz [GTK2], Adapta-Nokto-Eta 
β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ  β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ   Icons: Papirus-Dark-Maia [GTK2], Papirus-Adapta- 
                               Terminal: xfce4-terminal 
                               Terminal Font: Monospace 12 
                               CPU: BCM2835 (4) @ 1.400GHz 
                               Memory: 454MiB / 920MiB

kwin crashes while OpenGL compositing issue is currently β€œfixed” by using 20.2.6 mesa for now. There is a regression with Mesa 20.3.x and higher on the PBP graphic stack. We will do a git-bisect on mesa soon, to find the issue …

Came here to mention this. Re-enabled OpenGL in the Compositor settings for KDE following the mesa package downgrade. All is fine now.

Has anyone else been having WiFi issues with their Pinebook Pro since the previous testing update? After some use (not sure on the duration required) the WiFi symbol will gain a β€œlimited connection” warning on KDE. Just now it disconnected entirely, crashing my Pinebook Pro and leaving the power indicator flashing orange/green (which is not something that I have seen before).

pamac 10.0.3-1 installed on an odroid c4 testing branch, so far it works

Updated to testing on RPI4 and so far so good in general. One issue is konsole in KDE has stopped rendering intense colors as intense. I’ve reported a bug upstream to the kde project.

https://bugs.kde.org/show_bug.cgi?id=430990

Updated to linux-rpi4-mainline 5.10.1-1 and first boot got a hard lock in X after around 30 seconds. I’m investigated and couldn’t figure out how to find kernel logs, but not like I’d expect it to have made it to disk (sd card) in time. Any advice on how to troubleshoot this? Do I need to setup a serial uart console or something? Is there a known issue? I’m actually typing this rebooted back in with the 5.10 kernel so… after having an immediate lock previously, it’s working now.

This caused me to need to do a power cycle. Is it possible that simply doing a reboot wasn’t enough before booting the new kernel and it’s stable after a power cycle due to some firmware loading or something? Still sorta new at this arm thing.

Also, a bit of a gripe, it wiped out my config.txt. I had anticipated this and had backups on my firmware partition and restored my hdmi mode settings and OC setup (which has been rock solid stable).

Wayne

Every once in a while a power recycle needs to be done but I have not had to do it in a long time here.

When going from one kernel package to another it will replace your config.txt but it will back up yours to config.txt.pacsave so check and copy over config.txt.pacsave to config.txt before rebooting if needed. This will not happen if upgrading the same kernel package. All images are built from the repo so all of the default boot related files are in the kernels.

I’ve had problems launching R since this update. I think it’s due to the update to openblas. When I try ot run R from the terminal I get the following output:

/usr/lib/R/bin/exec/R: error while loading shared libraries: libblas.so.3: cannot open shared object file: No such file or directory

Downgrading to openblas version 0.3.12-1 works around the issue:

sudo pacman -U /var/cache/pacman/pkg/openblas-0.3.12-1-aarch64.pkg.tar.xz

I got a problem with the update. I ran the commands provided but the upgrade fails with the following message:

error: could not open file /var/lib/pacman/local/libmm-pp-glib-1.14.8-3/desc: No such file or directory
looking for conflicting packages...
warning: could not fully load metadata for package libmm-pp-glib-1.14.8-3
error: failed to prepare transaction (invalid or corrupted package)

I don’t understand this error, since the correct version of that package is listed by philm above. I did switch to the arm testing branch, refreshed the keys and cleared the cache, but this error still persists.
(NB: I am a newcomer to pacman)

Which commands did you run?